module Example exposing (N, everyN)

import Enumerable exposing (Enumerable)

type N = One | Two | Three

-- [ One, Two, Three ]
everyN : List N
everyN = Enumerable.toList enumerable One

-- this one forms a loop using a pattern-match, which is usually what you want.
enumerable : Enumerable N
enumerable n =
    case n of
        One ->   Two
        Two ->   Three
        Three -> One